%global realversion 1.0-Chipmunk-16

Name:           udpxy
Version:        1.0.16
Release:        1%{?dist}
Summary:        UDP-to-HTTP multicast traffic relay daemon

Group:          Applications/Internet
License:        GPLv3+
URL:            http://sourceforge.net/projects/udpxy/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}.%{realversion}.tgz
Source1:        udpxy.init
Source2:        udpxy.sysconfig
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post): chkconfig
Requires(preun): chkconfig initscripts
Requires(postun): initscripts

%description
udpxy is a UDP-to-HTTP multicast traffic relay daemon:
it forwards UDP traffic from a given multicast subscription
to the requesting HTTP client.

%prep
%setup -q -n %{name}-%{realversion}

chmod a-x CHANGES
sed -i "s|CFLAGS += -W -Wall -Werror --pedantic|CFLAGS += %{optflags}|g" Makefile

%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}

sed -i "s|INSTALLROOT := /usr/local|INSTALLROOT := %{buildroot}/usr|g" Makefile
sed -i 's|ln -s $(INSTALLROOT)/bin/$(EXEC)|ln -s $(EXEC)|g' Makefile

make install

pushd %{buildroot}
mkdir -p .%{_sysconfdir}/sysconfig .%{_initrddir}
install -p -m755 %{SOURCE1} .%{_initrddir}/%{name}
install -p -m644 %{SOURCE2} .%{_sysconfdir}/sysconfig/%{name}
popd

%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add udpxy
:

%preun
if [ "$1" -eq 0 ]; then
   /sbin/service udpxy stop &> /dev/null
   /sbin/chkconfig --del udpxy
fi
:

%files
%defattr(-,root,root,-)
%doc README CHANGES gpl.txt
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_initrddir}/%{name}
%{_bindir}/%{name}
%{_bindir}/udpxrec

%changelog
* Sun Aug  1 2010 Alexey Kurov <nucleo@fedoraproject.org> - 1.0.16-1
- Initial RPM release
